commit:     c5d8b49a41b802e770842fc2ac591bcef5f11361
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu May 30 12:31:57 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu May 30 13:15:47 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5d8b49a

app-containers/earthly: bump to 0.8.13

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-containers/earthly/Manifest              |  2 +
 app-containers/earthly/earthly-0.8.13.ebuild | 71 ++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-containers/earthly/Manifest b/app-containers/earthly/Manifest
index efa1a00956f0..d188a9a87f73 100644
--- a/app-containers/earthly/Manifest
+++ b/app-containers/earthly/Manifest
@@ -4,6 +4,8 @@ DIST earthly-0.8.11-deps.tar.zst 180367967 BLAKE2B 
3d321cc6177d4e113662b1ed99b19
 DIST earthly-0.8.11.tar.gz 8089764 BLAKE2B 
2d110482b2643498e0fd8ee03dba5a2d58d9a8d3ceea9507582184e3fe59ae9851fec1fbd16c636b23d2e7044a8375fc6fc3692431f637a043e71c2c2bab572f
 SHA512 
fd92f6a86efd8576c1c75367f4b6e211c04615aaf5504f86192f85b751c628801439c22925797e0b2b775fa02b555b200a728085818e1d49d09f98847e5a99c0
 DIST earthly-0.8.12-deps.tar.xz 163755972 BLAKE2B 
6d5e7e2d157b54818bebca7cc0b57be23be4581660bae8002bb90983cc9478d9d05ebea3dd102123ced6c1f1a8b94f93ca0868c040defa1fb5f0137f901b1c50
 SHA512 
bcfc4eecfceefcf5677f145475406fe4fef9d3a70c177ea657f2f0eec7227c752fcc01b129c001fbb8d9fa6ba934a6425b0fb0957b6812d2f751e7d3b99dd0a2
 DIST earthly-0.8.12.tar.gz 8090651 BLAKE2B 
ce916a50b23bc5567b4174ad88a5a52b9c728b4ee215239f46680fe5574f0cabe353d5a336e395f7eec42c86a726bb0d0da4b5204dcc9654c76a8a8cd3366fb4
 SHA512 
7cc62cc3af6aef039f8059e04564a181dd9b497cb51f15b6a49f2aad4a975147aa30d9109eb1c33cfc74a6f354eae77904d5c0e15e63172cb7ee20874b9bc05e
+DIST earthly-0.8.13-deps.tar.xz 163750220 BLAKE2B 
995ed748f99b7d4c4ca90cdd1964c295270963e55462bfa3bdd830209a90303d67c91fed66e7d52984993ef58b1d060e140694fdc8931ca2181dd88701d8f6dd
 SHA512 
ab3ee4fef9a87dab9009ffd4e31d00a256c8ad88096c8573a5a2fb782079392415752024821240da60549d260c9dcfe3d6f1457fb3fbc8cc8a1f2602bb875aee
+DIST earthly-0.8.13.tar.gz 8082676 BLAKE2B 
cf6d5c6d397951a60302e5492ad219d3d673cce9bf2e06696a3cd8719dcf1d755644413171c7db1b27c60d6cbe0d85facf2d6a5d150c26dc5530c07d1255b742
 SHA512 
f3abd814c0c57f485a37c83e322d9a8478236ae4220baf455330a6a28d98a8cb7806fb4cee9525c9b27c51bc0ed8780872f51ece7194059658defd54cce1a6b5
 DIST earthly-0.8.8-deps.tar.zst 180214607 BLAKE2B 
f407dcc4cb8daee7ac53433af830b6c872b0c9e1e05004b2bc4c8706eb98b65e457f7bea2b221e6c4cf4dfe8bb218a5ca60e85beb1f7839cb0ffaadaf8110ad3
 SHA512 
6a9d0eb7a69b36cca2f79d3f92e21f9f97d858451308f7151e4810c479105b7dad3fe2ad1b8a90a6ca9f0c7d3d06a8f89cd3eab4fde54e10fae2e3ea98fbb7bb
 DIST earthly-0.8.8.tar.gz 8069650 BLAKE2B 
05dca12e206a22c522d36711cb960525bb20c51439dd73c8ec4a96151c306022483ade55ebe80f30d85acba3c1531b0c9b97115702c6bfc96daa615d9b798d31
 SHA512 
9a19ddfcaa40720b1cbab166e40a6300a79d38245074bd111082eaa04206ae8020c7596ad5801f3048e3a411cbcd88b161d8c01375e4b00192b8cf2b23e62e77
 DIST earthly-0.8.9-deps.tar.zst 180210180 BLAKE2B 
8d48677c9dac4571efadb41c882520ba6f92bfc4a6f36ae55f6ce54c258f16dbd693412d1a25b4467d078c2b9b039b96d934236c3a071f1f64040b2da5a3d848
 SHA512 
f504567855830d8027d830372f8e365b8f9893d3625b94b2e91294985f65be3d276cdceba9913ef37a6e1a45debcd8fb393e6ea0d16615c06a188862b33d8a1d

diff --git a/app-containers/earthly/earthly-0.8.13.ebuild 
b/app-containers/earthly/earthly-0.8.13.ebuild
new file mode 100644
index 000000000000..bcc7dddfc5ca
--- /dev/null
+++ b/app-containers/earthly/earthly-0.8.13.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Git commit SHA is needed at runtime by earthly to pull and bootstrap images.
+if [[ "${PV}" == "0.8.13" ]] ; then
+       COMMIT_SHA="251e0eada58646e71c562b803bc4b9adbcf07637"
+else
+       die 'Could not detect "COMMIT_SHA", please update the ebuild.'
+fi
+
+inherit go-module
+
+DESCRIPTION="Build automation tool that executes in containers"
+HOMEPAGE="https://earthly.dev/
+       https://github.com/earthly/earthly/";
+SRC_URI="
+       https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz
+       https://dev.gentoo.org/~xgqt/distfiles/deps/${P}-deps.tar.xz
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       || (
+               app-containers/docker
+               app-containers/podman
+       )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md )
+
+src_compile() {
+       local -r 
go_tags="dfrunmount,dfrunsecurity,dfsecrets,dfssh,dfrunnetwork,dfheredoc,forceposix"
+       local -r go_ldflags="
+               -X main.DefaultBuildkitdImage=docker.io/earthly/buildkitd:v${PV}
+               -X main.GitSha=${COMMIT_SHA}
+               -X main.Version=v${PV}
+       "
+       local -a -r go_buildargs=(
+               -tags "${go_tags}"
+               -ldflags "${go_ldflags}"
+               -o ./bin/
+       )
+       ego build "${go_buildargs[@]}" ./cmd/...
+}
+
+src_install() {
+       exeinto /usr/bin
+       doexe bin/earthly
+       newexe bin/debugger earthly-debugger
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       if has_version "app-containers/podman" ; then
+               ewarn "Podman is supported but not recommended."
+               ewarn "If issues arise, then please try running earthly with 
docker."
+       fi
+
+       if has_version "app-containers/podman[rootless]" ; then
+               ewarn "Running podman in rootless mode is not supported because"
+               ewarn "earthly/dind and earthly/buildkit require privileged 
access."
+               ewarn "For more info see: 
https://docs.earthly.dev/docs/guides/podman/";
+       fi
+}

Reply via email to